package com.cim.idm.wmspackage.area.management.data;

import com.cim.idm.framework.orm.info.DataInfo;
import com.cim.idm.framework.orm.info.UserColumnMark;
import com.cim.idm.framework.orm.info.access.FieldAccessor;

public class Area extends FieldAccessor implements DataInfo<AreaKey> {

	private AreaKey key;
	private String superAreaName;
	private String resourceState; // A resource state. [OutOfService|InService]
	private String description;
	
	@UserColumnMark
    private  String userColumns2;
	public Area() {
	}

	public Area(String siteName, String areaName, String superAreaName,
			String resourceState, String description) {
		this.key = new AreaKey(siteName, areaName);
		this.superAreaName = superAreaName;
		this.resourceState = resourceState;
		this.description = description;
	}

	@Override
	public AreaKey getKey() {
		return key;
	}

	@Override
	public void setKey(AreaKey keyInfo) {
		this.key = keyInfo;
	}

	public String getSuperAreaName() {
		return superAreaName;
	}

	public void setSuperAreaName(String superAreaName) {
		this.superAreaName = superAreaName;
	}

	public String getResourceState() {
		return resourceState;
	}

	public void setResourceState(String resourceState) {
		this.resourceState = resourceState;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

//	public String getUserColumns2() {
//		return userColumns2;
//	}
//
//	public void setUserColumns2(String userColumns2) {
//		this.userColumns2 = userColumns2;
//	}

}
